View Issue Details

IDProjectCategoryView StatusLast Update
0001183OBS-StudioFeature Requestpublic2019-04-14 19:59
ReporterDarckCrystaleAssigned ToFenrir 
PrioritylowSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
PlatformOBS StudioOSAll SystemsOS VersionAll Versions
Product Version 
Target VersionFixed in Version23.0.1 
Summary0001183: Add a keyboard shortcut to rename elements (scenes and sources) in OBS
DescriptionAs `Del` is used to delete a scene or a source in OBS, `F2` could be the default shortcut to rename scenes and sources.
Steps To Reproduce** Scenario 0000001 **
- open OBS
- create a scene, save it with the default name
- click left on the scene
- press F2
=> edition of the name of the scene is open (same than when user use the menu Click right > Rename)

** Scenario 0000002 **
- open OBS
- create a scene, save it with the default name
- click right on the scene
=> After the "Rename" entry, there is "F2" (as same as the "Delete" entry and "Del")

** Scenario 0000003 **
- open OBS
- create a scene, save it with the default name
- create a source, save it with the default name
- click left on the source
- press F2
=> edition of the name of the source is open (same than when user use the menu Click right > Rename)

** Scenario 0000004 **
- open OBS
- create a scene, save it with the default name
- create a source, save it with the default name
- click right on the source
=> After the "Rename" entry, there is "F2" (as same as the "Delete" entry and "Del")
Tagsui

Activities

BoWang

2019-04-03 16:44

reporter   ~0004456

I will start working on this

BoWang

2019-04-06 23:17

reporter   ~0004462

It seems has been sloved,press F2 it do rename the scene

BoWang

2019-04-07 00:22

reporter   ~0004463

The feature that not showing is , there is no F2 on the rename entry. I will work on that now

BoWang

2019-04-07 00:49

reporter   ~0004464

I fix the Scenario 2 and Scenario 4 there is "F2" shows after the "Rename"

BoWang

2019-04-10 16:13

reporter   ~0004481

What is the specific entry you want? Is it similar with "FullScreen with F11"?

Fenrir

2019-04-13 01:14

administrator   ~0004494

This was added in the v23 release: https://github.com/obsproject/obs-studio/commit/6c17c10e77a520c5cfd085206a928999e5b11f9b

The missing shortcut text in the context menu is a bug with Qt that will be solved when we upgrade Qt versions, and is a separate issue to this case.

Issue History

Date Modified Username Field Change
2018-03-12 11:51 DarckCrystale New Issue
2018-03-12 11:51 DarckCrystale Tag Attached: ui
2019-02-22 23:23 Fenrir Category - Uncategorized - => Feature Request
2019-04-03 16:44 BoWang Note Added: 0004456
2019-04-06 23:17 BoWang Note Added: 0004462
2019-04-07 00:22 BoWang Note Added: 0004463
2019-04-07 00:49 BoWang Note Added: 0004464
2019-04-10 16:13 BoWang Note Added: 0004481
2019-04-13 01:14 Fenrir Assigned To => Fenrir
2019-04-13 01:14 Fenrir Status new => resolved
2019-04-13 01:14 Fenrir Resolution open => fixed
2019-04-13 01:14 Fenrir Fixed in Version => 23.0.1
2019-04-13 01:14 Fenrir Note Added: 0004494